Subject: Re: [PATCH v2 03/17] object-store: rename files to "odb.{c,h}"

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 14 May 2025 06:31:42 +0200

On Tue, May 13, 2025 at 09:28:50PM +0200, Toon Claes wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > In the preceding commits we have renamed the structures contained in
> > "object-store.h" to `struct object_database` and `struct odb_backend`.
> > As such, the code files "object-store.{c,h}" are confusingly named now.
> > Rename them to "odb.{c,h}" accordingly.
> 
> Do we have plans to extract the object database subsystem into a
> subdirectory? With us adding multiple backends in the future, I can
> image us having a dozen files at some point. So since we're renaming,
> shall we prepare for that at once? Or will `odb.h` always be the root-level
> entry point for the object database, and only live backends live in
> `odb/` for example?

Yes, my plan was to create "odb/alternate.h" in one of the next steps
and then also host alternative formats in that directory, similar to how
we do it with the "refs/" subsystem. But "odb.{c,h}" are files that I
rather want to keep in the root directory, similar again to "refs.h".
Most users shouldn't even need to be aware of anything in "odb/" and
should only need to use "odb.h", so everything in that subdirectory can
be considered as low-level implementation details.

Patrick